# This dockerfile is specific to building Multus admission controller for OpenShift
FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202011142049.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202011142049.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9dc6369 OS_GIT_VERSION=4.4.0-202011142049.p0-9dc6369 SOURCE_DATE_EPOCH=1576250849 SOURCE_GIT_COMMIT=9dc636987dde9dd4032fde61968badc99b56310e SOURCE_GIT_TAG=9dc6369 SOURCE_GIT_URL=https://github.com/openshift/multus-admission-controller 

# Add everything
ENV PKG_NAME=github.com/k8snetworkplumbingwg/net-attach-def-admission-controller
ENV PKG_PATH=/go/src/$PKG_NAME
ENV GO111MODULE=off
RUN mkdir -p $PKG_PATH

COPY . $PKG_PATH/
WORKDIR $PKG_PATH
# RUN go install ./...
RUN ./build.sh

WORKDIR /

FROM openshift/ose-base:v4.4.0-202011122017.p0
ENV __doozer=update BUILD_RELEASE=202011142049.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202011142049.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9dc6369 OS_GIT_VERSION=4.4.0-202011142049.p0-9dc6369 SOURCE_DATE_EPOCH=1576250849 SOURCE_GIT_COMMIT=9dc636987dde9dd4032fde61968badc99b56310e SOURCE_GIT_TAG=9dc6369 SOURCE_GIT_URL=https://github.com/openshift/multus-admission-controller 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/net-attach-def-admission-controller/bin/webhook /usr/bin/


CMD ["/usr/bin/webhook"]

LABEL \
        io.k8s.display-name="Container Networking Plugins" \
        io.k8s.description="This is a component of OpenShift Container Platform and provides an admission controller for Multus CNI custom resources." \
        io.openshift.tags="openshift" \
        maintainer="Doug Smith <dosmith@redhat.com>" \
        name="openshift/ose-multus-admission-controller" \
        com.redhat.component="ose-multus-admission-controller-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="multus" \
        release="202011142049.p0" \
        io.openshift.build.commit.id="9dc636987dde9dd4032fde61968badc99b56310e" \
        io.openshift.build.source-location="https://github.com/openshift/multus-admission-controller" \
        io.openshift.build.commit.url="https://github.com/openshift/multus-admission-controller/commit/9dc636987dde9dd4032fde61968badc99b56310e" \
        version="v4.4.0"

